Results 1 to 6 of 6

Thread: Two patches for network manager after KDE4.9 upgrade

  1. #1

    Default Two patches for network manager after KDE4.9 upgrade

    Using openSUSE 12.1

    Everything works fine after going form KDE4.8 to 4.9. I received two patches afterward.

    Repository | Name | Version | Category | Status | Summary
    -----------------------+-------------------+---------+-------------+--------+----------------
    Main Update Repository | openSUSE-2011-71 | 1 | recommended | needed | NetworkManage->
    Main Update Repository | openSUSE-2012-233 | 1 | recommended | needed | NetworkManage->

    Trying to apply the patches I got

    Code:
    2 Problems:
    Problem: patch:openSUSE-2011-71-1.noarch conflicts with plasmoid-networkmanagement.x86_64 < 0.9.1git20111027-1.3.1 provided by plasmoid-networkmanagement-0.9.0.4-238.1.x86_64
    Problem: patch:openSUSE-2012-233-1.noarch conflicts with NetworkManager-vpnc-kde4.x86_64 < 0.9.1+0.9.0-1.6.1 provided by NetworkManager-vpnc-kde4-0.9.0.4-238.1.x86_64
    
    Problem: patch:openSUSE-2011-71-1.noarch conflicts with plasmoid-networkmanagement.x86_64 < 0.9.1git20111027-1.3.1 provided by plasmoid-networkmanagement-0.9.0.4-238.1.x86_64
     Solution 1: Following actions will be done:
      install plasmoid-networkmanagement-0.9.1+0.9.0-1.6.1.x86_64 (with vendor change)
        obs://build.opensuse.org/KDE  -->  openSUSE
      install NetworkManager-pptp-kde4-0.9.1+0.9.0-1.6.1.x86_64 (with vendor change)
        obs://build.opensuse.org/KDE  -->  openSUSE
      install NetworkManager-openvpn-kde4-0.9.1+0.9.0-1.6.1.x86_64 (with vendor change)
        obs://build.opensuse.org/KDE  -->  openSUSE
      install NetworkManager-kde4-libs-lang-0.9.1+0.9.0-1.6.1.noarch (with vendor change)
        obs://build.opensuse.org/KDE  -->  openSUSE
      install NetworkManager-kde4-libs-0.9.1+0.9.0-1.6.1.x86_64 (with vendor change)
        obs://build.opensuse.org/KDE  -->  openSUSE
     Solution 2: do not install patch:openSUSE-2011-71-1.noarch
    
    Choose from above solutions by number or skip, retry or cancel [1/2/s/r/c] (c): 2
    
    Problem: patch:openSUSE-2012-233-1.noarch conflicts with NetworkManager-vpnc-kde4.x86_64 < 0.9.1+0.9.0-1.6.1 provided by NetworkManager-vpnc-kde4-0.9.0.4-238.1.x86_64
     Solution 1: Following actions will be done:
      install NetworkManager-vpnc-kde4-0.9.1+0.9.0-1.6.1.x86_64 (with vendor change)
        obs://build.opensuse.org/KDE  -->  openSUSE
      install NetworkManager-pptp-kde4-0.9.1+0.9.0-1.6.1.x86_64 (with vendor change)
        obs://build.opensuse.org/KDE  -->  openSUSE
      install NetworkManager-openvpn-kde4-0.9.1+0.9.0-1.6.1.x86_64 (with vendor change)
        obs://build.opensuse.org/KDE  -->  openSUSE
      install NetworkManager-kde4-libs-lang-0.9.1+0.9.0-1.6.1.noarch (with vendor change)
        obs://build.opensuse.org/KDE  -->  openSUSE
      install NetworkManager-kde4-libs-0.9.1+0.9.0-1.6.1.x86_64 (with vendor change)
        obs://build.opensuse.org/KDE  -->  openSUSE
     Solution 2: do not install patch:openSUSE-2012-233-1.noarch
    Just do a vendor change?

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: Two patches for network manager after KDE4.9 upgrade

    On 02/08/12 06:16, Static2k wrote:
    >
    > Using openSUSE 12.1
    >
    > Everything works fine after going form KDE4.8 to 4.9. I received two
    > patches afterward.
    >
    > Repository | Name | Version | Category |
    > Status | Summary
    > -----------------------+-------------------+---------+-------------+--------+----------------
    > Main Update Repository | openSUSE-2011-71 | 1 | recommended |
    > needed | NetworkManage->
    > Main Update Repository | openSUSE-2012-233 | 1 | recommended |
    > needed | NetworkManage->
    >
    > Trying to apply the patches I got
    >
    >
    > Code:
    > --------------------
    >
    > 2 Problems:
    > Problem: patchpenSUSE-2011-71-1.noarch conflicts with plasmoid-networkmanagement.x86_64 < 0.9.1git20111027-1.3.1 provided by plasmoid-networkmanagement-0.9.0.4-238.1.x86_64
    > Problem: patchpenSUSE-2012-233-1.noarch conflicts with NetworkManager-vpnc-kde4.x86_64 < 0.9.1+0.9.0-1.6.1 provided by NetworkManager-vpnc-kde4-0.9.0.4-238.1.x86_64
    >
    > Problem: patchpenSUSE-2011-71-1.noarch conflicts with plasmoid-networkmanagement.x86_64 < 0.9.1git20111027-1.3.1 provided by plasmoid-networkmanagement-0.9.0.4-238.1.x86_64
    > Solution 1: Following actions will be done:
    > install plasmoid-networkmanagement-0.9.1+0.9.0-1.6.1.x86_64 (with vendor change)
    > obs://build.opensuse.org/KDE --> openSUSE
    > install NetworkManager-pptp-kde4-0.9.1+0.9.0-1.6.1.x86_64 (with vendor change)
    > obs://build.opensuse.org/KDE --> openSUSE
    > install NetworkManager-openvpn-kde4-0.9.1+0.9.0-1.6.1.x86_64 (with vendor change)
    > obs://build.opensuse.org/KDE --> openSUSE
    > install NetworkManager-kde4-libs-lang-0.9.1+0.9.0-1.6.1.noarch (with vendor change)
    > obs://build.opensuse.org/KDE --> openSUSE
    > install NetworkManager-kde4-libs-0.9.1+0.9.0-1.6.1.x86_64 (with vendor change)
    > obs://build.opensuse.org/KDE --> openSUSE
    > Solution 2: do not install patchpenSUSE-2011-71-1.noarch
    >
    > Choose from above solutions by number or skip, retry or cancel [1/2/s/r/c] (c): 2
    >
    > Problem: patchpenSUSE-2012-233-1.noarch conflicts with NetworkManager-vpnc-kde4.x86_64 < 0.9.1+0.9.0-1.6.1 provided by NetworkManager-vpnc-kde4-0.9.0.4-238.1.x86_64
    > Solution 1: Following actions will be done:
    > install NetworkManager-vpnc-kde4-0.9.1+0.9.0-1.6.1.x86_64 (with vendor change)
    > obs://build.opensuse.org/KDE --> openSUSE
    > install NetworkManager-pptp-kde4-0.9.1+0.9.0-1.6.1.x86_64 (with vendor change)
    > obs://build.opensuse.org/KDE --> openSUSE
    > install NetworkManager-openvpn-kde4-0.9.1+0.9.0-1.6.1.x86_64 (with vendor change)
    > obs://build.opensuse.org/KDE --> openSUSE
    > install NetworkManager-kde4-libs-lang-0.9.1+0.9.0-1.6.1.noarch (with vendor change)
    > obs://build.opensuse.org/KDE --> openSUSE
    > install NetworkManager-kde4-libs-0.9.1+0.9.0-1.6.1.x86_64 (with vendor change)
    > obs://build.opensuse.org/KDE --> openSUSE
    > Solution 2: do not install patchpenSUSE-2012-233-1.noarch
    >
    > --------------------
    >
    >
    > Just do a vendor change?
    >
    >


    Don't patch if you use the Release repos
    Just switch to R49 and keep k3b from Packman
    If you use the R49 extra be careful not to switch on it, as it contains
    a bunch of gstreamer stuff that should be from Packman

    But it is possible to use Patch, you'll just have to accept the Vendor
    change on all the network stuff.

  3. #3

    Default Re: Two patches for network manager after KDE4.9 upgrade

    Quote Originally Posted by caf4926 View Post

    Don't patch if you use the Release repos

    But it is possible to use Patch, you'll just have to accept the Vendor
    change on all the network stuff.
    I kept k3b from Packman and used the Release repo but didn't use the extra for R49 so should I still patch with a Vendor change?

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: Two patches for network manager after KDE4.9 upgrade

    On 02/08/12 06:56, Static2k wrote:
    >
    > caf4926;2477761 Wrote:
    >>
    >> Don't patch if you use the Release repos
    >>
    >> But it is possible to use Patch, you'll just have to accept the Vendor
    >> change on all the network stuff.

    >
    > I kept k3b from Packman and used the Release repo but didn't use the
    > extra for R49 so should I still patch with a Vendor change?
    >
    >


    I don't use the patches
    I keep the R49 switch as true as I can

  5. #5
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Two patches for network manager after KDE4.9 upgrade

    On 2012-08-02 07:35, caf4926 wrote:

    > But it is possible to use Patch, you'll just have to accept the Vendor change on all the
    > network stuff.


    No, rather you need to taboo the patches that conflict with upgrades you do from any repo
    different from the oss, non-oss.

    The problem arises from the kde people not bumping their versions up, so that the question of
    upgrade (patching) doesn't even arise. It is a reportable bug, but they will ignore it (I have
    a previous one reported and ignored). On other repos the maintainer bumped their versions and
    the problem is thus solved automatically.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)

  6. #6

    Default Re: Two patches for network manager after KDE4.9 upgrade

    Alright thanks.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •